> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 사용자 검색

> 키워드로 사용자를 검색합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

User Search 엔드포인트를 사용하면 키워드로 사용자를 검색할 수 있습니다. 이름, 사용자 이름(username), 또는 프로필 소개(bio)에 포함된 내용으로 사용자를 찾을 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="키워드 검색" icon="magnifying-glass">
    이름, 사용자 이름 또는 프로필 소개로 검색
  </Card>

  <Card title="사용자 찾기" icon="user-plus">
    관련성이 높은 계정 찾기
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| Method | Endpoint                                          | Description |
| :----- | :------------------------------------------------ | :---------- |
| GET    | [`/2/users/search`](/ko/x-api/users/search-users) | 사용자를 검색     |

***

<div id="example-request">
  ## 예제 요청
</div>

```bash theme={null}
curl "https://api.x.com/2/users/search?\
query=python%20developer&\
user.fields=description,verified,public_metrics" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## 응답 예시
</div>

```json theme={null}
{
  "data": [
    {
      "id": "1234567890",
      "name": "Python Developer",
      "username": "pythondev",
      "description": "Building cool things with Python",
      "verified": false,
      "public_metrics": {
        "followers_count": 5000,
        "following_count": 200,
        "tweet_count": 1500
      }
    }
  ],
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project와 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="사용자 조회" icon="user" href="/ko/x-api/users/lookup/introduction">
    ID 또는 사용자 이름으로 사용자 찾기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/users/user-search">
    전체 엔드포인트에 대한 문서
  </Card>
</CardGroup>
